
% charge.m
% Bestimmt die bergangsmatrix mit der maximalen Beladung

function [charge_mat] = charge(kap_mat, knoten_vec, n)

    for i = 1:n
        
        for j = 1:n   
        
            if (sum(kap_mat(i,:)) ~= 0)
            
                bedingung = knoten_vec(i) .* ( kap_mat(i,j)  ./ sum(kap_mat(i,:)) );
            
            else
                
                bedingung = 0;
                
            end
                
        charge_mat(i,j) = min(bedingung,kap_mat(i,j));    

            
        end
        
    end