

% cell_to_people.m
% Ordnet die Krafte eines Feldes dem sich darin befindenden Agenten zu

function [static_force_x, static_force_y] = cell_to_people(static_force_cell_x, static_force_cell_y, people_mat, d, n);


% Initialisiert die Vektoren
static_force_x = zeros(n,1);

static_force_y = zeros(n,1);

for i = 1:n
    
    k = floor( people_mat(i,1) / d ) + 1;
    
    l = floor( people_mat(i,2) / d ) + 1;
    
    static_force_x(i) = static_force_cell_x(l,k);
    
    static_force_y(i) = static_force_cell_y(l,k);
    
end