

% control.m
% berprft die Positionen der Individuen

function [people_mat, vel_mat, n, m] = control(people_mat, vel_mat, x_door_min, x_door_max, b, l, d, sig_r, n)

j = 0;

memory_vec = 0;

for i = 1:n
    
    if (people_mat(i,2) > d*l) & (people_mat(i,1) > x_door_min) & (people_mat(i,1) < x_door_max)
        
        % dann lsche Person an Stelle i und verringere n um einen Wert
        j = j+1;
        
        memory_vec(j) = i;
        
    else
    
        if people_mat(i,1) < 0
        
            people_mat(i,1) = 0 + sig_r /2;
        
        elseif people_mat(i,1) > b * d
            
            people_mat(i,1) = b * d - sig_r /2;
        
        else
        end
        
        if people_mat(i,2) < 0
        
            people_mat(i,2) = 0 + sig_r /2;
        
        elseif people_mat(i,2) > l * d
            
            people_mat(i,2) = min ( 25 , abs( 2 * l * d - people_mat(i,2) ) );
        
        else
        end
    
    end
    
end


if memory_vec ~= 0

people_mat([memory_vec],:) = [];

vel_mat([memory_vec],:) = [];

m = length(memory_vec);

n = n - m;

else
    
m = 0;    
end
