

% evacuation_ini
% In dieser Funktion knnen die Parameter fr die Initialisierung
% eingegeben werden


function ini = evacuation_ini;

% Setzt den Zeitschritt fest

ini.delta_t = 1;

% Maximalgeschwindigkeit einer Person

ini.max_vel = 2;

% Maximale Bescheunigung einer Person

ini.max_acc = 2;

% Werte die zur geometrischen Beschreibung dienen
ini.d = 1;

ini.b = 20; % Soll immer gerade Anzahl sein

ini.l = 30; % Kann auch ungerade Werte annehmen

ini.door = 2; % Anzahl der Felder fr die Tr (Trbreite ist d*door)

% Anzahl der Personen im Raum
ini.n = 300;

% Parameter fr die Gravitation
ini.c_1 = 0.5;

ini.c_2 = 0.2;

% Parameter fr die konsante Kraft im Feld
ini.c_static = 1;

% Parameter fr das Lennard-Jones Potential

ini.eps = 0.275;

ini.sig_r = 0.8;

ini.r_min = 0.5;


end