

% Programm zum Berechnen von Fluchtwegen und Evakierungszeiten

% Hole die Daten aus der Intialisierungsdatei

ini = evakuierung_ini();

% Bestimme die zu evakuierenden Personen
people_danger = sum(ini.knoten_ini_vec);


% Bestimme die Anzahl der Zeilen und der Spalten der Kapazittsmatrix

size_vec = size(ini.kap_mat);

n = size_vec(1,1);

ev_time = 0;

% Initialisiere die Ladematrix
charge_mat = ini.kap_mat;

knoten_vec = ini.knoten_ini_vec;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Die Evakuierung erfolgt, bis alle Menschen am Sammelplatz sind

while people_danger > 0

    ev_time = ev_time + 1
    
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
% Diese Schleife bestimmt die Ladematrix, wie hoch die Kapazitten max sein
% drfen

charge_mat = feval('charge', ini.kap_mat, knoten_vec, n);
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%    
    

% Berechnet die neuen vorrbergehenden Knotenkapazitten

knoten_vec_test = feval('new_knot', knoten_vec, charge_mat, n);

charge_mat_test = charge_mat;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

while  min(ini.knoten_max_vec - knoten_vec_test) < 0

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% berprft, ob die Maximalkapazitten berstiegen werden

for k = 1:n
    
    if knoten_vec_test(k) > ini.knoten_max_vec(k)
        
        for l = 1:n
        
        charge_mat(l,k) = charge_mat_test(l,k) .* ( sum(charge_mat_test(k,:))  ./ sum(charge_mat_test(:,k)) );

        end
        
    else
        
    end
    
end

% Berechnet die neuen vorrbergehenden Knotenkapazitten

knoten_vec_test = feval('new_knot', knoten_vec, charge_mat, n);

charge_mat_test = charge_mat;

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Berechnet die endgltigen Knotenkapazitten

knoten_vec = feval('new_knot', knoten_vec, charge_mat, n);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

people_danger = sum(knoten_vec(1:ini.m));

knoten_vec_disp = knoten_vec
    
end    
  
ev_time   
    
    
    
