%
% evakuierung_ini.m
% Diese Function bergibt die Startwerte an das Hauptprogramm

function ini = evakuierung_ini;

% Bestimmt die Kapazittsmatrix
% Ein Eintrag an Stelle (i,j) bedeutet, dass vom Knoten (i) die angegebene
% Kapazitt zum Knoten j gegeben ist
% Im Beispiel gibt es 9 Knoten im Gebude und drei Fluchtpunkte
% kap_mat muss quadratisch sein!
% Auerhalb, diese mssen nur erreichbar sein (keine Prsonen gehehn dort
% weg)

ini.kap_mat = [0,6,0,0,0,0,0,0,0,0,0,0;0,0,0,0,0,0,0,0,0,5,0,0;0,6,0,0,0,0,0,0,0,0,0,0;3,0,0,0,0,0,3,0,0,0,0,0;0,3,0,3,0,3,0,3,0,0,0,0;0,0,3,0,0,0,0,0,3,0,0,0;0,0,0,0,0,0,0,0,0,0,5,0;0,0,0,0,0,0,6,0,6,0,0,0;0,0,0,0,0,0,0,0,0,0,0,5;0,0,0,0,0,0,0,0,0,0,0,0;0,0,0,0,0,0,0,0,0,0,0,0;0,0,0,0,0,0,0,0,0,0,0,0];

% Bestimme, wieviele Personen sich zu Beginn im jeweiligen Knoten aufhalten

ini.knoten_ini_vec = [25,50,25,50,100,50,25,50,25,0,0,0];

% Gib die Maximale Personenkapazitt fr den jewiligen Raum an

ini.knoten_max_vec = [100,100,100,100,100,100,100,100,100,1000,1000,1000];

% Anzahl der im Gebude befindlichen Knoten

ini.m = 9;