

% density.m
% Berechne die Dmpfung der Geschwindigkeit auf Grund der Dichte im Feld

function [fin_force_x, fin_force_y] = density(sum_force_x, sum_force_y, people_mat, field_mat, d, n)


% Initialisiert die Vektoren
fin_force_x = zeros(n,1);

fin_force_y = zeros(n,1);

for i = 1:n
    
    k = floor( people_mat(i,1) / d ) + 1;
    
    l = floor( people_mat(i,2) / d ) + 1;
    
    fin_force_x(i) = sum_force_x(i) * d^2 / field_mat(l,k).^2;
    
    fin_force_y(i) = sum_force_y(i) * d^2 / field_mat(l,k).^2;
    
end