
% fin_vel.m
% Berechnet die Endgltige Geschwindigkeitsnderung in Komponentenrichtung fr ein
% Individuum

function vel_mat = fin_vel_first( vel_mat, fin_force_x, fin_force_y, n, delta_t, max_acc)


for i = 1:n

    vel_mat(i,1) = fin_force_x(i) * ( delta_t/2 );
    
    if abs(vel_mat(i,1)) > max_acc
        
        vel_mat(i,1) = ( vel_mat(i,1) / abs(vel_mat(i,1)) ) * (max_acc * (delta_t / 2));
    else
    end

    vel_mat(i,2) = fin_force_y(i) * ( delta_t/2 );
    
    if abs(vel_mat(i,2)) > max_acc    
    vel_mat(i,2) = ( vel_mat(i,2) / abs(vel_mat(i,2)) ) * (max_acc * (delta_t / 2));
    else
    end

end